% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/h2c.R
\name{h2c}
\alias{h2c}
\title{Convert an 'httr' call to 'curl' command line}
\usage{
h2c(complete_httr_verb_call, use_web_service = FALSE)
}
\arguments{
\item{complete_httr_verb_call}{wrap an \code{httr} \code{VERB} call with this function
and it will return the text of a working \code{curl} command line}

\item{use_web_service}{if \code{TRUE} (\code{FALSE} by default) this function will use
\verb{https://curl.se/h2c/} to process the headers.}
}
\description{
Convert an 'httr' call to 'curl' command line
}
\examples{
\dontrun{
h2c(
  httr::GET(
    url = "https://rud.is/",
    httr::user_agent(splashr::ua_apple_tv),
    query = list(
      a = "b",
      c = 1
    )
   )
  )
}
}
